[sync request] groovy 1.6 from debian unstable

Bug #368082 reported by Malte S. Stretz on 2009-04-27
12
Affects Status Importance Assigned to Milestone
groovy (Debian)
Fix Released
Unknown
groovy (Ubuntu)
Undecided
Unassigned
Declined for Karmic by Mathias Gug

Bug Description

Binary package hint: groovy

Groovy 1.6 is available and already in squeeze. Please sync, 1.6 rocks :)

ProblemType: Bug
Architecture: amd64
DistroRelease: Ubuntu 9.04
Package: groovy 1.5.7-1
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: groovy
Uname: Linux 2.6.28-11-generic x86_64

Malte S. Stretz (mss) wrote :
Changed in groovy (Debian):
status: Unknown → Fix Released
Russel Winder (russel) wrote :

Debian is a wee bit behind -- as at 2009-04-27 19:20+01:00 Squeeze and Sid have 1.6.0 whilst Groovy is now at 1.6.2.

Karmic currently reports 1.5.7 and so definitely needs updating as 1.5.x is at 1.5.8, but actually the whole 1.5.x series is now deprecated. 1.6.x is the standard Groovy now.

Malte S. Stretz (mss) wrote :

Indeed. I opened bug 368133 for jaunty (ie. upgrade to 1.5.8).

Sean Tindale (sean.tindale) wrote :

1.6 please!!!

This is considered to be the "real" production worthy release of groovy by many

Russel Winder (russel) wrote :

Actually 1.6.2 is deemed to be the production version (it is not just considered to be) and 1.5.8 is simply an end-of-life release to get bug fixes out there for people who for whatever reason insist on using the outdated and very end-of-life 1.5.x series.

1.6.0 was released too late to get into the Jaunty cycle it seems so Jaunty will have to continue with outdated Groovy -- though it would be superb if it could be slipped in as an upgrade.

The crucial thing is that Karmic *must* get 1.6.2 or later.

Is anyone packaging Grails 1.1, if not I will raise a bug report for Karmic?

Malte S. Stretz (mss) wrote :

The bug report for grails is bug 368091.

Artur Rona (ari-tczew) wrote :

groovy (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Ubuntu Archive Auto-Sync <email address hidden> Mon, 01 Jun 2009 10:42:48 +0100

Changed in groovy (Ubuntu):
status: New → Fix Released
Russel Winder (russel) wrote :

Thanks Artur, that's great.

Russel Winder (russel) wrote :

As a "heads up": the Groovy project manager is mooting a release of 1.6.4 for the end of this month or beginning of next.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.